	/**
 * Created by Edilson Jr on 05/02/16.
 */

$.ajax({
    url: './info.json',
    type: 'GET',
    data: {
        format: 'json'
    },
    error: function()
    {
        window.alert("Erro ao carregar conteúdos");
    },
    success: function(data)
    {
	$('.slider').each(function(){
		$(this).find('.slider_content li').first().addClass('start');
		$(this).find('.start').addClass('um');
		$(this).find('li').last().addClass('last');
		
	});

	$('.setas-slider').each(function(){
		$(this).find('a.prev').addClass('disabled');
		var slider = $(this).parent();
		var slider_content = slider.children('.slider_content');
		if( slider_content.children('a').length == 1 ){
			$(this).children('a.next').addClass('disabled');
		}
		$(this).find('a.count').html( '<span class="at">1</span> / <span class="max">'+ slider_content.children('li').length + '</span>' );
	});

	$('.slider > .setas-slider > a.next').click(function(event){
		event.preventDefault();
		if( $(this).hasClass('disabled') ) return;
		var slider = $(this).parents('.slider');
		var slider_content = slider.find('.slider_content');
		var last_current = slider_content.find('.start').removeClass('start');
		var new_current = last_current.next().addClass('start');
		if( new_current.hasClass('last') ){
			$(this).addClass('disabled');
		}
		else{
			$(this).removeClass('disabled');
		}
		if( slider_content.find('li').length > 1 ){
			slider.find('.setas-slider .prev').removeClass('disabled');
		}
		var at = slider.find('.setas-slider > a.count > .at');
		at.html( parseInt( at.text() ) + 1 );
	});

	$('.slider > .setas-slider > a.prev').click(function(event){
		event.preventDefault();
		if( $(this).hasClass('disabled') ) return;
		var slider = $(this).parents('.slider');
		var slider_content = slider.find('.slider_content');
		var last_current = slider_content.find('.start').removeClass('start');
		var new_current = last_current.prev().addClass('start');
		if( new_current.hasClass('um') ){
			$(this).addClass('disabled');
		}
		else{
			$(this).removeClass('disabled');
		}
		if( slider_content.find('li').length > 1 ){
			slider.find('.setas-slider .next').removeClass('disabled');
		}
		var at = slider.find('.setas-slider > a.count > .at');
		at.html( parseInt( at.text() ) - 1 );
	});

    }
});

	
