/**
 * Created by higounasus on 04/02/16.
 */
function loadContent(data)
{
    for(var i=0; i<data.info.length; i++)
    {
        var li = '';
        for(var j=0; j<data.info[i].fulldescription.length; j++)
        {
            li += "<li><p class='anim-description'>"+ data.info[i].fulldescription[j] +"</p></li>";
        }

        $('.anim-partial').append(
            "<div class='row anim-partial-child'>"+
                "<img class='bg' src='img/bg.png'>"+
                "<div class='hidden-xs col-sm-4 col-md-6 text-center'>"+
                    "<img class='partial-image' src='"+ data.info[i].image +"'>"+
                "</div>"+
                "<div class='col-xs-12 col-sm-8 col-md-6'>"+
                    "<div class='coisadao'>"+
                        "<div class='header'>"+
                            "<h3 class='partial-h3'>"+ data.info[i].title +"</h3>"+
                        "</div>"+
                        "<div class='content'>"+
                            "<div class='slider'>" +
                                "<ul class='slider_content'>" +
                                    li +
                                    "<span class='ref-content'><p>"+ data.info[i].ref +"</p></span>" +
                                "</ul>"+
                                "<div class='setas-slider contador'>"+
                                    "<span class='anim-contador'><img src='img/anim-contador.png' /></span>"+
                                    "<a class='anim-button arrow-back'><img src='img/anim-button.png' />VOLTAR</a>"+
                                    "<a class='count'></a>"+
                                    "<a class='anim-button button-ref' ><img src='img/icon-ref.png' /></a>"+
                                    "<a class='pull-right next dir'><img src='img/seta_direita.png' /></a>"+
                                    "<a class='pull-right prev esq'><img src='img/seta_esquerda.png' /></a>"+
                                "</div>"+
                            "</div>"+
                        "</div>"+
                    "</div>"+
                "<div>"+
            "</div>"
        );

        if(data.info[i].ref === '')
        {
            $($('.anim-partial-child')[i]).find('.button-ref').hide();
        }
        else
        {
            $($('.anim-partial-child')[i]).find('.button-ref').show();
        }

        if(data.info[i].fulldescription.length > 1)
        {
                $($('.anim-partial-child')[i]).find('.setas-slider').show();
        }
        else
        {
                $($('.anim-partial-child')[i]).find('.setas-slider').hide();
        }

    }
}

function hideElement(elem)
{
    elem.hide();
}

function showContent(idx)
{
    var elem = $('.anim-partial-child').get(idx);
    console.log(elem);
    $(elem).fadeIn();
}

function back()
{
    hideElement($('.anim-partial-child'));
    $('.anim-container').fadeIn();
}

function markElement(elem)
{
    if(!elem.find('img').hasClass('img-check'))
    {
        elem.find('.cx-img').append("<img class='img-check' src='./img/check.png'>");
    }
}

$.ajax({
    url: './info.json',
    type: "GET",
    dataType: 'json',
    error: function()
    {
        window.alert("Erro ao carregar conteúdos");
    },
    success: function(data)
    {
        loadContent(data);
        hideElement($('.anim-partial-child'));
        hideElement($('.ref-content'));

        $('.anim-img').click(function(){
            hideElement($('.anim-container'));
            markElement($(this));
            showContent($(this).attr('id'));
        });

        $('.arrow-back').click(function(){
            back();
        });

        $('.button-ref').click(function(){
            $('.ref-content').fadeIn();
        });

        $('html').mouseup(function(e){
            var refContent = $('.ref-content');
            if(!refContent.is(e.target))
            {
                refContent.fadeOut();
            }
        });
    }
});